%define name rox-wallpaper
%define oname wallpaper
%define version 1.9.2
%define release 1mdk

Summary: Set the wallpaper image for the ROX graphical desktop
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{oname}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/Other
URL: http://rox.sf.net/wallpaper.html
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: rox-lib
Buildarch: noarch

%description
This program can be used to set the background image for your pinboard, if
you are using ROX-Filer 1.3.1 or later to manage it. Use an older version of
Wallpaper to set the background with older versions of the filer.

Note that ROX-Filer already allows you to set an image or plain colour for
the backdrop. Wallpaper lets you do more interesting things...

%prep
%setup -q -n %oname-%version

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_libdir/apps
cp -r Wallpaper %buildroot/%_libdir/apps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %_libdir/apps/Wallpaper/Help
%dir %_libdir/apps/Wallpaper
%_libdir/apps/Wallpaper/.DirIcon
%_libdir/apps/Wallpaper/*.py
%_libdir/apps/Wallpaper/App*

%changelog
* Tue Jul 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.9.2-1mdk
- keep help files inside the app dir
- url
- new version

* Fri Feb 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.9.1-1mdk
- initial package
